Bug 303841 - Review Request: libflashsupport - Optional Library Interfaces for Adobe Flash Player
Review Request: libflashsupport - Optional Library Interfaces for Adobe Flash...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-24 15:05 EDT by Warren Togami
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 13:14:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2007-09-24 15:05:55 EDT
Spec URL: http://togami.com/~warren/fedora/libflashsupport.spec
SRPM URL: http://togami.com/~warren/fedora/libflashsupport-000-0.1.svn20070904.src.rpm
Description: Optional Library Interfaces for Adobe Flash Player

Split from pulseaudio package.
Comment 1 Michel Alexandre Salim 2007-09-24 16:11:47 EDT
MUST

Not sure about these two:
• package name: -pulse removed?
• library -> ldconfig: confirmation: not needed?
  I tried calling ldconfig manually and get the following:
/sbin/ldconfig: /usr/lib/libflashsupport.so is not a symbolic link

  but pulseaudio-lib's libflashsupport does this too. Replacing the
libflashsupport.so file with the one from the RPM works, so this is probably OK

OK:
• rpmlint: src clean, binary missing doc (upstream), contains .so (ok -- does
not contain .so.*)
• spec file name: matches package name
• package guideline-compliant: OK
• license complies with guidelines: 
• license field accurate: OK
• spec in US English: OK
• spec legible: OK
• source matches upstream: OK (SVN)
• builds under >= 1 archs, others excluded: OK
• build dependencies complete
• own all directories: OK
• no dupes in %files: OK
• permission: OK
• %clean RPM_BUILD_ROOT: OK
• Package contains code: OK
• clean buildroot before install: OK
• filenames UTF-8: OK

SHOULD
• if license text missing, ask upstream to include it
• package build in mock on all architectures: OK
• package functioned as described: OK
• require package not files: OK
Comment 2 Michel Alexandre Salim 2007-09-25 13:15:36 EDT
Warren, could you make libflashsupport.i386 available on the x86_64 tree as
well? Thanks.

Note You need to log in before you can comment on or make changes to this bug.